List consolidation rules for a vault
curl --request GET \
--url https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"assets": [
{
"min_amount_to_move": "25.5",
"min_balance_to_leave": "25.5"
}
],
"min_consolidate_usd": "25.5",
"threshold_value": "25.5"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Consolidation
List consolidation rules for a vault
Returns all consolidation rules configured on the given vault.
GET
/
vaults
/
{vault_id}
/
consolidation
/
rules
List consolidation rules for a vault
curl --request GET \
--url https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/vaults/{vault_id}/consolidation/rules")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"assets": [
{
"min_amount_to_move": "25.5",
"min_balance_to_leave": "25.5"
}
],
"min_consolidate_usd": "25.5",
"threshold_value": "25.5"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Authorizations
Headers
API version (defaults to the latest supported version if omitted).
Available options:
v1 Path Parameters
Vault ID